MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023338Community[OCCT] OCCT:Data Exchangepublic2012-07-20 18:142012-11-16 13:17
ReporterPawel 
Assigned Togka 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023338: The 'then' statement is equivalent to the 'else' statement. IGEStoBRep_TopoSurface.cxx
DescriptionIn line 1527:

if(st->HasBoundingCurveHole()) {
        TopoDS_Shape myshape = TC.TransferCurveOnFace (plane, crv142, trans, TheULength, Standard_False);
      }
      else {
        TopoDS_Shape myshape = TC.TransferCurveOnFace (plane, crv142, trans, TheULength, Standard_False);
      }

Was this intended?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021501)
gka (developer)
2012-09-18 15:38

Branch CR23338 is ready to be reviewed. Could you please to review this branch.
(0021674)
abv (manager)
2012-10-05 20:35

No branch is found!
(0021734)
gka (developer)
2012-10-11 18:11

Sorry for my mistaken.
Could you please to review branch CR23338.
(0021776)
abv (manager)
2012-10-16 09:03

Reviewed, please test

My only remark (strange enough) is that method IGESToBRep_IGESBoundary::Check() is not implemented and could be removed...
(0021813)
mkv (tester)
2012-10-17 11:46

Dear BugMaster,
Branch CR23338 (and master from occt-products) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 45c0ba36
Timestamp: 2012-10-11 13:56:32
Author: gka
Details ] Diff ]
0023338: The 'then' statement is equivalent to the 'else' statement. IGEStoBRep_TopoSurface.cxx
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-20 18:14 Pawel New Issue
2012-07-20 18:14 Pawel Assigned To => bugmaster
2012-08-17 16:43 bugmaster Assigned To bugmaster => gka
2012-08-17 16:43 bugmaster Status new => assigned
2012-09-18 10:22 gka Status assigned => resolved
2012-09-18 15:38 gka Note Added: 0021501
2012-09-18 15:38 gka Assigned To gka => abv
2012-09-18 15:38 gka Status resolved => assigned
2012-10-05 20:34 abv Status assigned => resolved
2012-10-05 20:35 abv Note Added: 0021674
2012-10-05 20:35 abv Assigned To abv => gka
2012-10-05 20:35 abv Status resolved => assigned
2012-10-11 18:11 gka Note Added: 0021734
2012-10-11 18:11 gka Assigned To gka => abv
2012-10-11 18:11 gka Status assigned => resolved
2012-10-16 09:03 abv Note Added: 0021776
2012-10-16 09:03 abv Assigned To abv => bugmaster
2012-10-16 09:03 abv Status resolved => reviewed
2012-10-16 16:57 mkv Assigned To bugmaster => mkv
2012-10-17 11:46 mkv Note Added: 0021813
2012-10-17 11:47 mkv Test case number => Not needed
2012-10-17 11:47 mkv Assigned To mkv => bugmaster
2012-10-17 11:47 mkv Status reviewed => tested
2012-10-23 20:41 gka Changeset attached => occt master 45c0ba36
2012-10-23 20:41 gka Assigned To bugmaster => gka
2012-10-23 20:41 gka Status tested => verified
2012-10-23 20:41 gka Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker